Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator.uep
Class EquidistantDiscretizationGivenWidth

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.FeatureConstruction
              edu.udo.cs.miningmart.operator.uep.Discretization
                  edu.udo.cs.miningmart.operator.uep.EquidistantDiscretizationGivenWidth

public class EquidistantDiscretizationGivenWidth
extends Discretization

M4 Compiler

Copyright: Copyright (c) 2002

Company: University Dortmund

Version:
  $Id: EquidistantDiscretizationGivenWidth.java,v 1.5 2006/04/11 14:10:18 euler Exp $
Author:
  Felix Koschin

Constructor Summary
`EquidistantDiscretizationGivenWidth()`

Method Summary
`double[]` | `generateCutPoints(Column theTargetAttributeColumn)`
`Value` | `getClosedTo()`
`Value[]` | `getEndPoint()`
`double` | `getEndPointOrMaximum(Column theTargetAttributeColumn)`
`Value` | `getIntervalWidth()`
`Value[]` | `getStartPoint()`
`double` | `getStartPointOrMinum(Column theTargetAttributeColumn)`

Methods inherited from class edu.udo.cs.miningmart.operator.uep.Discretization
`generateLabels, generateSQL`

Methods inherited from class edu.udo.cs.miningmart.operator.FeatureConstruction
`compileStatement, createStatement, estimateStatistics, execute, generateColumnForOp, getCurrentLoopNumber, getTheInputConcept, getTheOutputAttribute, getTheOutputAttribute, getTheTargetAttribute, getTheTargetAttribute, load, writeResults`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getSingleParameter, getSingleParameter, getStep, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EquidistantDiscretizationGivenWidth

    public EquidistantDiscretizationGivenWidth()

Method Detail

### getStartPoint

    public Value[] getStartPoint()
                          throws M4CompilerError

  Throws:
    `M4CompilerError`

### getEndPoint

    public Value[] getEndPoint()
                        throws M4CompilerError

  Throws:
    `M4CompilerError`

### getIntervalWidth

    public Value getIntervalWidth()
                           throws M4CompilerError

  Throws:
    `M4CompilerError`

### getClosedTo

    public Value getClosedTo()
                      throws M4CompilerError

  Throws:
    `M4CompilerError`

### generateCutPoints

    public double[] generateCutPoints(Column theTargetAttributeColumn)
                               throws M4CompilerError

  Throws:
    `M4CompilerError`

### getStartPointOrMinum

    public double getStartPointOrMinum(Column theTargetAttributeColumn)
                                throws M4CompilerError

  Throws:
    `M4CompilerError`

### getEndPointOrMaximum

    public double getEndPointOrMaximum(Column theTargetAttributeColumn)
                                throws M4CompilerError

  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005